Bug 978256 - Mounts /boot to the dasd installed with root
Mounts /boot to the dasd installed with root
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
19
All All
unspecified Severity high
: ---
: ---
Assigned To: David Lehman
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-26 04:21 EDT by IBM Bug Proxy
Modified: 2015-02-17 10:42 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:42:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mount /boot with 5gb (3.14 MB, image/bmp)
2013-06-26 04:21 EDT, IBM Bug Proxy
no flags Details
shrinks 5gb to 2gb to same dasd (3.09 MB, image/bmp)
2013-06-26 04:22 EDT, IBM Bug Proxy
no flags Details
Anaconda log (28.56 KB, text/plain)
2013-06-26 04:22 EDT, IBM Bug Proxy
no flags Details
Anaconda storage logs (149.58 KB, text/plain)
2013-06-26 04:22 EDT, IBM Bug Proxy
no flags Details
syslog (39.52 KB, text/plain)
2013-06-26 04:22 EDT, IBM Bug Proxy
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 95208 None None None Never

  None (edit)
Description IBM Bug Proxy 2013-06-26 04:21:37 EDT
== Comment: #0 - Swetha L <swethal1@in.ibm.com> - 2013-06-25 05:15:34 ==
Steps to reproduce this issue

1. Start F19 installation using vnc.
2. Select DASDs for installation.
3. Select Installation destination 
4. Select Custom partition
5. Mount / with 5 GB  and mount /boot with 5 GB

Expected : Mount /boot on dasd that has 5 GB free space

Actual: shrinks /boot to the remaining free space on same dasd as mounted for root even if there is another device with free space more than 5GB 

Logs are attached


== Comment: #8 - Kamalesh Babulal <kamaleshb@in.ibm.com> - 2013-06-25 12:31:45 ==
From storage logs:

08:42:45,551 DEBUG storage.ui: fixing size of non-existent 2043MB partition dasda1 (16) with non-existent ext4 filesystem mounted at /boot at 2043.14
08:42:45,551 DEBUG storage.ui: fixing size of non-existent 4999MB partition dasda2 (15) with non-existent ext4 filesystem mounted at / at 4999.97
08:42:45,552 DEBUG storage.ui: fixing size of non-existent 7042MB partition dasdb1 (17) with non-existent ext4 filesystem mounted at /home at 7042.97

Its looks like dasda and dasdb each have 7GB disk space. dasda space is allocated to dasda1 on /boot with ~2GB and dasda2 on / with ~5GB because dasdb1 disk space is completely allocated to /home.

== Comment: #9 - Swetha L <swethal1@in.ibm.com> - 2013-06-26 01:53:43 ==
(In reply to comment #8)
> From storage logs:
> 
> 08:42:45,551 DEBUG storage.ui: fixing size of non-existent 2043MB partition
> dasda1 (16) with non-existent ext4 filesystem mounted at /boot at 2043.14
> 08:42:45,551 DEBUG storage.ui: fixing size of non-existent 4999MB partition
> dasda2 (15) with non-existent ext4 filesystem mounted at / at 4999.97
> 08:42:45,552 DEBUG storage.ui: fixing size of non-existent 7042MB partition
> dasdb1 (17) with non-existent ext4 filesystem mounted at /home at 7042.97
> 
> Its looks like dasda and dasdb each have 7GB disk space. dasda space is
> allocated to dasda1 on /boot with ~2GB and dasda2 on / with ~5GB because
> dasdb1 disk space is completely allocated to /home.

Dasdb1 disk space was allocated to /home after mounting /boot with disk space 5GB.
Comment 1 IBM Bug Proxy 2013-06-26 04:21:55 EDT
Created attachment 765447 [details]
mount /boot with 5gb
Comment 2 IBM Bug Proxy 2013-06-26 04:22:11 EDT
Created attachment 765448 [details]
shrinks 5gb to 2gb to same dasd
Comment 3 IBM Bug Proxy 2013-06-26 04:22:27 EDT
Created attachment 765449 [details]
Anaconda log
Comment 4 IBM Bug Proxy 2013-06-26 04:22:42 EDT
Created attachment 765450 [details]
Anaconda storage logs
Comment 5 IBM Bug Proxy 2013-06-26 04:22:59 EDT
Created attachment 765451 [details]
syslog
Comment 6 Jan Stodola 2013-06-26 11:29:39 EDT
Reproduced also on x86_64 in kvm with two 7 GB disks.
Comment 7 David Lehman 2013-06-28 10:55:31 EDT
This is caused in part by special handling of /boot when allocating partitions. /boot is always put on the first possible disk, even at the expense of maximal growth.

Also, the new user interface is a little bit different from the old one in that it does not readjust all partitions each time you add one. In other words, once a partition has been allocated, its size is fixed. That means you might have to go in and explicitly set which disk you want a partition to be on or you might have to pay careful attention to the order in which you add your partitions.

In this case, the simplest solution for you is to create /boot first instead of second.
Comment 8 Fedora End Of Life 2015-01-09 13:32:31 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2015-02-17 10:42:00 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.